Skip to main content

Endpoint

The Endpoint resource provides "The technical details of an endpoint that can be used for electronic services, such as for web services providing XDS.b or a REST endpoint for another FHIR server. This may include any security context information." (HL7 PDex Endpoint)

Supported Profiles

This API supports the following FHIR profiles:

Operations

The Certified and Regulated Provider Directory API Endpoint resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar-Yes-Yes
myEvolv----
myUnity----
TheraOffice----
info

Not all Netsmart solutions support Endpoint search. See supported operations table above and consult your target solution's documentation for more information.

This resource supports standard search parameters in addition to the common parameters.

Standard Parameters

NameTypeDescription
organizationreferenceThe organization that is managing the endpoint

Search Examples

The POST method is recommended as it keeps health information out of the URL.

Search by Organization
curl -X POST https://fhir.netsmartcloud.com/payer/provider-directory/v2/{tenant-id}/Endpoint/_search \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "organization=Organization/123"